datablock fxDTSBrickData (brick8xPrintRapidsData)
{
	brickFile = "./8x Rapids.blb";
	category = "Baseplates";
	subCategory = "Water";
	uiName = "8x Print Rapids";
	iconName = "Add-Ons/Brick_Printable_Water/8x Rapids";
   alwaysShowWireFrame = true;
   isWaterBrick = true;

	hasPrint = true;
	printAspectRatio = "2x2f";

	orientationFix = 3;
};






// Rapids //
////////////
function brick8xPrintRapidsData::onPlant(%data, %brick)
{
   brick8xWaterData::onPlant(%data, %brick);
}

function brick8xPrintRapidsData::onLoadPlant(%data, %obj)
{
   brick8xWaterData::onPlant(%data, %obj); 
}

function brick8xPrintRapidsData::onTrustCheckFinished(%data, %brick)
{
   %brick.createWaterZone();  
   %brick.physicalZone.setAppliedForce(vectorScale(%brick.getForwardVector(), 3000));
}

function brick8xPrintRapidsData::onDeath(%data, %brick)
{
   brick8xWaterData::onDeath(%data, %brick);
}

function brick8xPrintRapidsData::onRemove(%data, %brick)
{
   brick8xWaterData::onRemove(%data, %brick);
}

function brick8xPrintRapidsData::onColorChange(%data, %brick)
{
   brick8xWaterData::onColorChange(%data, %brick);
}

function brick8xPrintRapidsData::onFakeDeath(%data, %brick)
{
   brick8xWaterData::onFakeDeath(%data, %brick);
}

function brick8xPrintRapidsData::onClearFakeDeath(%data, %brick)
{
   brick8xWaterData::onClearFakeDeath(%data, %brick);
}

function brick8xPrintRapidsData::disappear(%data, %brick, %time)
{
   brick8xWaterData::disappear(%data, %brick, %time);
}

function brick8xPrintRapidsData::reappear(%data, %brick)
{
   brick8xWaterData::reappear(%data, %brick);
}