datablock fxDTSBrickData (brick8xPrintRiverData)
{
	brickFile = "./8x River.blb";
	category = "Baseplates";
	subCategory = "Water";
	uiName = "8x Print River";
	iconName = "Add-Ons/Brick_Printable_Water/8x River";
   alwaysShowWireFrame = true;
   isWaterBrick = true;

	hasPrint = true;
	printAspectRatio = "2x2f";

	orientationFix = 3;
};





// River Water //
/////////////////
function brick8xPrintRiverData::onPlant(%data, %brick)
{
   brick8xWaterData::onPlant(%data, %brick);
}

function brick8xPrintRiverData::onLoadPlant(%data, %obj)
{
   brick8xPrintRiverData::onPlant(%data, %obj); 
}

function brick8xPrintRiverData::onTrustCheckFinished(%data, %brick) 
{
   %brick.createWaterZone();  
   %brick.physicalZone.setAppliedForce(vectorScale(%brick.getForwardVector(), 1000));
}

function brick8xPrintRiverData::onDeath(%data, %brick)
{
   brick8xWaterData::onDeath(%data, %brick);
}

function brick8xPrintRiverData::onRemove(%data, %brick)
{
   brick8xWaterData::onRemove(%data, %brick);
}

function brick8xPrintRiverData::onColorChange(%data, %brick)
{
   brick8xWaterData::onColorChange(%data, %brick);
}

function brick8xPrintRiverData::onFakeDeath(%data, %brick)
{
   brick8xWaterData::onFakeDeath(%data, %brick);
}

function brick8xPrintRiverData::onClearFakeDeath(%data, %brick)
{
   brick8xWaterData::onClearFakeDeath(%data, %brick);
}

function brick8xPrintRiverData::disappear(%data, %brick, %time)
{
   brick8xWaterData::disappear(%data, %brick, %time);
}

function brick8xPrintRiverData::reappear(%data, %brick)
{
   brick8xWaterData::reappear(%data, %brick);
}